
<template>
  <Navbar></Navbar>
  <RouterView style="flex: 1" :key="$route.fullPath"></RouterView>
  <Footer></Footer>
</template>

<script>
import { RouterView } from 'vue-router'
import Navbar from './components/NavBar.vue'
import Footer from './components/Footer.vue'

export default {
  components: {
    RouterView,
    Navbar,
    Footer
  },
  watch: {
    '$route':{
      handler: function(to) {
        document.title = to.meta.title || 'konwenty.moe'
      },
      immediate: true
    }
  }
}
</script>


<style>
@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans&family=Quicksand&family=Rubik&display=swap');
body {
  margin: 0;
  max-width: 100%;
}
#app {
  font-family: 'Rubik', sans-serif;
  background-color: var(--default-dark);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #000000;
  overflow: hidden;
  min-height: 100vh;
  display:flex;
  flex-direction: column;
}
</style>
